
package com.jeelowcode.core.framework.service;

import com.jeelowcode.core.framework.entity.EnhanceJavaEntity;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * JAVA增强相关
 */
public interface IEnhanceJavaService extends IService<EnhanceJavaEntity> {

    //新增增强
    void saveEnhanceJava(EnhanceJavaEntity enhanceJavaEntity);

    //编辑增强
    void updateEnhanceJava(EnhanceJavaEntity enhanceJavaEntity);

    //复制
    void copy(Long sourceFormIdId,Long targetFormIdId,String oldTableName,String newTableName);

    //获取所有增强
    List<EnhanceJavaEntity> getAllJavaEnhance();

    //批量删除
    void removeByIds(List<Long> ids);
}
